# Feldspar

Feldspar is a very simple Matrix client for Android. It is primarily intended for personal use,
as I am unhappy with other available clients. I probably won't add more general-purpose features to
it for that reason. The code is unlikely to be good as this is the first time I've ever touched
Android.

TODO:

 - [x] SSO sign in
 - [x] Username/password sign in
 - [x] Render message images
 - [x] Render encrypted message images
 - [x] Preview images
 - [x] Download images
 - [x] Send images
 - [ ] Preview videos
 - [ ] Download videos
 - [ ] Send videos
 - [x] Preview audio
 - [ ] Download audio
 - [ ] Send audio
 - [x] Load messages upon scrolling up
 - [x] Markdown formatting
 - [x] Remove redacted events from local timeline
 - [x] Message redacting
 - [x] Message replies
 - [x] Message editing
 - [x] Display message edits
 - [ ] Display reactions
 - [ ] Add reactions
 - [ ] Type emoji with `:`
 - [x] Special rendering for replies
 - [x] Copy message text
 - [ ] Select message text
 - [x] Cross Signing
 - [x] Encryption
 - [x] Display joined spaces
 - [ ] Join space rooms
 - [ ] Join rooms from link
 - [ ] Voice calls
 - [x] System theme support
 - [x] Custom theme support
 - [ ] Notifications
 - [ ] Read receipts
 - [x] Display Read receipts
 - [x] Typing indicator sending
 - [x] Typing indicator rendering
 - [x] Message timestamps
 - [x] Render join events
 - [ ] Render polls
 - [ ] Vote in polls
 - [x] Rendering for nonexistent avatars

Possible features:
 - [ ] Edit redactions
 - [ ] Retroactive replies
 - [ ] Manual read receipts
 - [ ] Mark room as unread
